# How to contribute

Community made patches, localisations, bug reports and contributions are always welcome and are crucial to ensure that the PayPal Button Manager for WordPress stays fresh.

When contributing please ensure you follow the guidelines below so that we can keep on top of things.

__Note:__

GitHub is for *bug reports and contributions only* - if you have a support question or a request for a customization don't post here. Use [Angell EYE Support](https://www.angelleye.com/support) for customer support, [WordPress.org Plugin Directory](https://wordpress.org/support/plugin/paypal-wp-button-manager) for community support, and for customization please [submit a quote request](https://www.angelleye.com/quote-request/).

## Getting Started

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Submit a ticket for your issue, assuming one does not already exist.
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure you fill in the earliest version that you know has the issue.

## Making Changes

* Fork the repository on GitHub.
* Make the changes to your forked repository.
  * **Ensure you stick to the [WordPress Coding Standards](http://make.wordpress.org/core/handbook/coding-standards/php/).**
  * Ensure you use LF line endings - no crazy windows line endings. :)
* When committing, reference your issue (#1234) and include a note about the fix.
* Push the changes to your fork and submit a pull request on the master branch of the PayPal WP Button Manager repository. Existing maintenance branches will be maintained of by Angell EYE developers.
* Please **don't** modify the changelog - this will be maintained by the Angell EYE developers.

At this point you're waiting on us to merge your pull request. We'll review all pull requests, and make suggestions and changes if necessary.

# Additional Resources

* [General GitHub documentation](http://help.github.com/)
* [GitHub pull request documentation](http://help.github.com/send-pull-requests/)
* [Angell EYE Docs](https://www.angelleye.com/angelleye-documentation/)
* [Angell EYE Support](https://www.angelleye.com/support/)